Bug 239044 - New Port: www/rss-bridge RSS feed generator for websites missing it
Summary: New Port: www/rss-bridge RSS feed generator for websites missing it
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-08 13:23 UTC by Oleg Sidorkin
Modified: 2019-12-01 15:51 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for rss-bridge new port (13.21 KB, patch)
2019-07-08 13:23 UTC, Oleg Sidorkin
no flags Details | Diff
svn diff for rss-bridge new port (15.50 KB, patch)
2019-07-29 13:36 UTC, Oleg Sidorkin
no flags Details | Diff
svn diff for rss-bridge new port (14.49 KB, patch)
2019-11-27 15:09 UTC, Oleg Sidorkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Sidorkin 2019-07-08 13:23:18 UTC
Created attachment 205583 [details]
svn diff for rss-bridge new port

RSS generator PHP web application.

Allows reading some sites (e.g. Twitter) updates using standard RSS reader.
Comment 1 Oleg Sidorkin 2019-07-29 13:36:34 UTC
Created attachment 206140 [details]
svn diff for rss-bridge new port

Update to 2019-07-06 + TwitterBridge fix
Comment 2 Rodrigo Osorio freebsd_committer 2019-11-24 22:07:37 UTC
Hi Oleg,

Why the port include a patch that is not related with FreeBSD
compatibility? Can you point me from where did you got that patch.

Cheers,
-- rodrigo
Comment 3 Oleg Sidorkin 2019-11-24 23:57:58 UTC
(In reply to Rodrigo Osorio from comment #2)

It is an upstream patch done to get TwitterBridge working after some twitter API changes.

BTW, the next version of rss brigde was released. I'm testing the updated port right now.
Comment 4 Oleg Sidorkin 2019-11-27 15:09:28 UTC
Created attachment 209484 [details]
svn diff for rss-bridge new port

Updated to the latest release
Comment 5 commit-hook freebsd_committer 2019-12-01 15:51:03 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Dec  1 15:50:30 UTC 2019
New revision: 518781
URL: https://svnweb.freebsd.org/changeset/ports/518781

Log:
  New Port: www/rss-bridge RSS feed generator for websites missing it

  PR:		239044
  Submitted by:	Oleg Sidorkin <osidorkin@gmail.com>

Changes:
  head/www/Makefile
  head/www/rss-bridge/
  head/www/rss-bridge/Makefile
  head/www/rss-bridge/distinfo
  head/www/rss-bridge/pkg-descr
  head/www/rss-bridge/pkg-plist
Comment 6 Rodrigo Osorio freebsd_committer 2019-12-01 15:51:59 UTC
Committed, thanks